unit DaoUtils;
{$DEFINE DAO35}
interface            
Uses Db;
  Function DaoSizeToBDESize(DaoType:Integer;DaoSize:Integer):Integer;
  Function DaoToBDE(DaoType:Integer):TFieldType;
implementation
Uses
{$IFDEF DAO35}
DAO35Api,
{$ENDIF}
{$IFDEF DAO36}
DAO36Api,
{$ENDIF}
SysUtils,Dialogs;

Function DaoSizeToBDESize(DaoType:Integer;DaoSize:Integer):Integer;
Begin
 Result:=0;
 Case DaoType of
        dbBoolean    : Result := 0;
        dbByte       : Result := 0;
        dbInteger    : Result := 0;
        dbLong       : Result := 0;
        dbCurrency   : Result := 0;
        dbSingle     : Result := 0;
        dbDouble     : Result := 0;
        dbDate       : Result := 0;
        dbBinary     : Result := DaoSize;
        dbText       : Result := DaoSize;
        dbLongBinary : Result := DaoSize;
        dbMemo       : Result := DaoSize;
        dbGUID       : Result := 0;
        dbBigInt     : Result := 0;
        dbVarBinary  : Result := DaoSize;
        dbChar       : Result := DaoSize;
        dbNumeric    : Result := 0;
        dbDecimal    : Result := 0;
        dbFloat      : Result := 0;
        dbTime       : Result := 0;
        dbTimeStamp  : Result := 0;            
 End;
End;

Function DaoToBDE(DaoType:Integer):TFieldType;
Begin
 Result:=ftUnknown;
 Case DaoType of
        dbBoolean    : Result := ftBoolean;
        dbByte       : Result := ftInteger;
        dbInteger    : Result := ftInteger;
        dbLong       : Result := ftInteger;
        dbCurrency   : Result := ftCurrency;
        dbSingle     : Result := ftFloat;
        dbDouble     : Result := ftFloat;
        dbDate       : Result := ftDate;
        dbBinary     : Result := ftBlob;
        dbText       : Result := ftString;
        dbLongBinary : Result := ftBlob;
        dbMemo       : Result := ftMemo;
        dbGUID       : Result := ftAutoInc;
        dbBigInt     : Result := ftInteger;
        dbVarBinary  : Result := ftBlob;
        dbChar       : Result := ftString;
        dbNumeric    : Result := ftFloat;
        dbDecimal    : Result := ftFloat;
        dbFloat      : Result := ftFloat;
        dbTime       : Result := ftTime;
        dbTimeStamp  : Result := ftDateTime;
 End;                                                         
End;
end.
